org.apache.xalan.xsltc.compiler

## Interface SourceLoader

All Known Implementing Classes:
  TemplatesHandlerImpl, TransformerFactoryImpl

    public interface SourceLoader

Author:
  Morten Jorgensen

### Method Summary

Methods
`InputSource` `loadSource(java.lang.String href, java.lang.String context, XSLTC xsltc)` This interface is used to plug external document loaders into XSLTC (used with the and elements.

### Method Detail

#### loadSource

    InputSource loadSource(java.lang.String href,
                         java.lang.String context,
                         XSLTC xsltc)

This interface is used to plug external document loaders into XSLTC (used with the and elements.

Parameters:
  `href` - The URI of the document to load
  `context` - The URI of the currently loaded document
  `xsltc` - The compiler that resuests the document
Returns:
  An InputSource with the loaded document